Bug 530548 - ghostscript-fonts which is required by ghostscript is not installed by anaconda.
ghostscript-fonts which is required by ghostscript is not installed by anaconda.
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Gracik
Alexander Todorov
Depends On:
  Show dependency treegraph
Reported: 2009-10-23 08:05 EDT by Masahiro Matsuya
Modified: 2013-07-04 08:47 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 04:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch (407 bytes, patch)
2009-10-23 08:15 EDT, Masahiro Matsuya
no flags Details | Diff

  None (edit)
Description Masahiro Matsuya 2009-10-23 08:05:37 EDT
Description of problem:

When 'printing' package group is specified, ghostscript is installed, but ghostscript-fonts is not installed.

The cause is that these are in the whiteout list of whiteout.py as below.

      ghostscript-fonts>ghostscript   \

This means that when ghostscript-fonts requires ghostscript, ghostsciprt is installed. But, when ghostscript requires ghostscript-fonts, it is ignored.

Can you reverse the order of ghostscript and ghostscript-fonts?

If those are reversed, when ghostscript requires ghostscript-fonts, ghostsciprt-fonts is installed. 

Version-Release number of selected component (if applicable):

This customer met this issue on RHEL5.3. But, I could reproduce this issue with RHEL5.4.

How reproducible:


Steps to Reproduce:
1. install with the package group 'printing'
2. please confirm that the ghostscript is installed, but the ghostscript-fonts is not installed.
Actual results:

ghostscript-fonts is not installed.

Expected results:

ghostscript-fonts is installed.

Additional info:

This was separated from BZ524237.

> please be aware that the ongoing problems with snapshots/rollback at 
> Kreditwerk have highest management visibility. This affects rollbacks
> as RHNS cannot roll back the system to an inconsistent state.
Comment 1 Masahiro Matsuya 2009-10-23 08:15:46 EDT
Created attachment 365842 [details]
proposed patch
Comment 2 Chris Lumens 2009-10-28 10:21:37 EDT
Has something recently changed with the requires between ghostscript and ghostscript-fonts?  The reason this whiteout exists (and has existed since 2002, incidentally) is because there's some circular dependency such that ghostscript and ghostscript-fonts require each other.  Is this no longer the case?
Comment 3 R P Herrold 2009-10-28 10:43:47 EDT
Isn't it the case that ghostscript-fonts 'enhances' to the point of functionality on a standalone computer, but is not 'required' in the sense that a X fontserver might be used for the needed fonts, and that fontserver need not be on the local machine?

-- Russ herrold
Comment 4 Masahiro Matsuya 2009-10-29 05:54:51 EDT
Hi Chris,

I can reproduce this issue even with RHEL5.0. So, it's not a recent change.

On EL5.4, ghostscript depends on ghostscript-fonts, and ghostscript-fonts depends on ghostscript. This is not changed since 5.0.

I think that this is a bug which anyone could not find for a long time. 

The following is a reasonable workflow, I think.
'printing' package group requires ghostscript. ghostscript requires ghostscript-fonts. And though ghostscript-fonts requires ghostscript, ghostscript is not installed because it's in the whiteout. In this case, after the installation, the dependency issue doesn't occur. And, that's what my patch does.

It's not expected to install ghostscript only.


Comment 6 RHEL Product and Program Management 2009-11-02 17:11:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 Martin Gracik 2009-12-11 09:50:31 EST
Will be fixed in new anaconda version
Comment 10 Alexander Todorov 2010-01-06 06:31:24 EST
with RHEL5.5-Server-20091227.0 build when "Printing support" is selected in GUI both ghostscript and ghostscript-fonts packages are installed. Moving to VERIFIED.
Comment 13 errata-xmlrpc 2010-03-30 04:02:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.